#ifndef __CRC_32_H__
#define __CRC_32_H__

#include <stdint.h>

typedef uint32_t crc32_t;

inline static uint32_t crc32_reset(void);
uint32_t crc32_reset() { return ~0; }
uint32_t crc32_update(uint32_t old_state, uint8_t c);
inline static uint32_t crc32_finalize(uint32_t state);
uint32_t crc32_finalize(uint32_t state) { return ~state; }

#endif /* __CRC_32_H__ */
